Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.uil2
Interface SocketManagerHandler

All Superinterfaces:
  org.jboss.util.stream.StreamListener

All Known Implementing Classes:
  ServerSocketManagerHandler, UILClientILService

public interface SocketManagerHandler
extends org.jboss.util.stream.StreamListener

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org

Method Summary
`void` | `asynchFailure(String error, Throwable e)` Report a connection failure
`void` | `close()` Handle closedown, this maybe invoked many times due to an explicit close and/or a connection failure.
`void` | `handleMsg(BaseMsg msg)` Handle the message
`void` | `onStreamNotification(Object stream, int size)` Handle a stream notification

Method Detail

### handleMsg

    public void handleMsg(BaseMsg msg)
                   throws Exception

  Handle the message

  Parameters:
    `msg` - the message to handler
  Throws:
    `Exception` - for any error

### onStreamNotification

    public void onStreamNotification(Object stream,
                                     int size)

  Handle a stream notification

  Specified by:
    `onStreamNotification` in interface `org.jboss.util.stream.StreamListener`
  Parameters:
    `stream` - the stream
    `size` - the bytes since the last notification

### asynchFailure

    public void asynchFailure(String error,
                              Throwable e)

  Report a connection failure

  Parameters:
    `error` - the error text

### close

    public void close()

  Handle closedown, this maybe invoked many times due to an explicit close and/or a connection failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.